CONTAINER-LIST(1)

NAME
container-list - List container on the system

SYNOPSIS
container list ['OPTIONS']
cnt ls ['OPTIONS']

DESCRIPTION

The container list command lists container on the system.

OPTIONS

The following container list options are available, defaults to '--started --stopped':

    -a, --all:
        List all available container (started, stopped, and other).

    --csv-separator='SEPARATOR':
        Specify custom CSV separator, defaults to ','.

    -f, --format='FORMAT':
        Use format to list container. Currently available formats are 'cli' (default), 'csv', 'json', 'nwdiag', 'shell', 'sh', 'yaml', or 'xml'.

    -h, --host='HOSTNAME':
        List only container that are enabled for automatic start on the specified hostname. Defaults to list containers of the local system only. Using 'all' shows all container regardless of any automatic start configuration.

    --nwdiag-color='COLOR':
        Specify custom nwdiag color for the host box, defaults to '#3465a4'.

    --nwdiag-label='LABEL':
        Specify custom nwdiag label for the diagram, defaults to empty.

    -o, --other:
        List only container that are not enable for automatic start on the current system.

    -s, --started:
        List only started container.

    -t, --stopped:
        List only stopped container.

EXAMPLES

List all started and stopped containers of the local system:
        sudo container list

List all started and other containers:
        sudo container list -s -o

Create a CSV export of all started and stopped containers:
        sudo container list -f csv

Create a JSON export of all started and stopped containers:
        sudo container list -f json

Create a nwdiag export of all started and stopped containers:
        sudo container list -f nwdiag

Create a SVG image via nwdiag of all started and stopped containers:
        sudo container list -f nwdiag | nwdiag -T svg -o cnt-list.svg -

Create a shell export of all started and stopped containers:
        sudo container list -f shell sudo container list -f sh

Create a YAML export of all started and stopped containers:
        sudo container list -f yaml

Create a XML export of all started and stopped containers:
        sudo container list -f xml

SEE ALSO
compute-tools(7),
container(1).

HOMEPAGE

More information about compute-tools and the Open Infrastructure project can be found on the homepage (https://open-infrastructure.net).

CONTACT

Bug reports, feature requests, help, patches, support and everything else are welcome on the Open Infrastructure Software Mailing List <software@lists.open-infrastructure.net>.

Debian specific bugs can also be reported in the Debian Bug Tracking System (https://bugs.debian.org).

AUTHORS

compute-tools were written by Daniel Baumann <daniel.baumann@open-infrastructure.net> and others.